# Class AngleDR

java.lang.Object
uk.ac.starlink.pal.AngleDR

public class AngleDR extends Object
Angle consisting of (α, δ) pairs in Radians

## Constructor Summary

Constructors
Constructor
Description
`AngleDR(double a, double d)`
Angle consisting of (alpha, delta).
`AngleDR(double a, double d, double r)`
Angle consisting of (α, δ) pair and optional radial.

## Method Summary

Modifier and Type
Method
Description
`double`
`getAlpha()`
Get the first component of the angle
`double`
`getDelta()`
Get the second component of the angle
`double`
`getRadial()`
Get the Radial component of the angle
`void`
`setAlpha(double a)`
Set the first component of the angle
`void`
`setDelta(double d)`
Set the second component of the angle
`void`
`setRad(double r)`
Set the Radial component of the angle
`String`
`toString()`
Get string representation of Angle as bracketed pair (or triplet)
`String`
`toString(int n)`
Get string representation of Angle to n decimal places as two (or three) numbers

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AngleDR

public AngleDR(double a, double d, double r)
Angle consisting of (α, δ) pair and optional radial.

Parameters:
  `a` - alpha
  `d` - delta
  `r` - radial

### AngleDR

public AngleDR(double a, double d)
Angle consisting of (alpha, delta).

Parameters:
  `a` - Alpha
  `d` - Delta

## Method Details

### setAlpha

public void setAlpha(double a)
Set the first component of the angle

Parameters:
  `a` - α

### setDelta

public void setDelta(double d)
Set the second component of the angle

Parameters:
  `d` - δ

### setRad

public void setRad(double r)
Set the Radial component of the angle

Parameters:
  `r` - Radial

### getAlpha

public double getAlpha()
Get the first component of the angle

Returns:
  α

### getDelta

public double getDelta()
Get the second component of the angle

Returns:
  δ

### getRadial

public double getRadial()
Get the Radial component of the angle

Returns:
  Radial

### toString

public String toString(int n)
Get string representation of Angle to n decimal places as two (or three) numbers

Parameters:
  `n` - Number of decimal places
Returns:
  String representation

### toString

public String toString()
Get string representation of Angle as bracketed pair (or triplet)

Overrides:
  `toString` in class `Object`
Returns:
  String representation